import { Nil } from '../interfaces';
/**
 * The opposite of `pick`; this method creates an object composed of the own enumerable string properties of object that are not omitted.
 *
 * Differences from lodash:
 * - `paths` must be direct keys of `object` (they cannot refer to deeper properties)
 * - does not work with arrays
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 15,603 bytes
 * - Micro-dash: 138 bytes
 */
export declare function omit<T extends object | Nil>(object: T, ...paths: Array<keyof T>): Partial<T>;
